PUT/schedules/{scheduleId}

Update Schedule

Updates the details of a schedule identified by the provided scheduleId.
PUT/schedules/{scheduleId}

Parameter Details

NameInTypeRequiredDescription
scheduleIdpathintegerRequiredUnique identifier for the schedule to update
» scheduleNamebodystringRequiredName of the schedule.
» shopIdbodyintegerRequiredUnique identifier for the shop in the schedule.
» yearbodystringRequiredYear for the schedule.
» monthbodystringRequiredMonth for the schedule.
» dowbodystringRequiredDay of the week for the schedule.
» daybodystringRequiredDay of the month for the schedule.
» hourbodystringRequiredHour for the schedule.
» minutebodystringRequiredMinute for the schedule.
» startDatebodystring(date)RequiredStart date of the schedule.
» endDatebodystring(date)RequiredEnd date of the schedule.

Responses

StatusMeaningDescriptionSchema
200OKSchedule updated successfully
400Bad RequestBad RequestNone
401UnauthorizedUnauthorizedNone
403ForbiddenForbidden - Access deniedNone
404Not FoundSchedule not foundNone
429Too Many RequestsToo Many RequestsNone
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X PUT /schedules/{scheduleId} \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}' \
  -d '{"scheduleName":"string","shopId":0,"year":"string","month":"string","dow":"string","day":"string","hour":"string","minute":"string","startDate":"string","endDate":"string"}'

Body parameter

{
  "scheduleName": "My schedule",
  "shopId": 1,
  "year": "*",
  "month": "*",
  "dow": "*",
  "day": "*",
  "hour": "*",
  "minute": "20",
  "startDate": "2019-08-24",
  "endDate": "2019-08-24"
}

Example responses

200 Response
{
  "message": "Schedule updated successfully."
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.